All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::utils::handle_fun Struct Reference

`#include <utils.hpp>`

## Public Types

typedef cl_mem | result_type

## Public Member Functions

template<class T >
result_type | operator() (T const &t) const

## Detailed Description

Definition at line 313 of file utils.hpp.

## Member Typedef Documentation

typedef cl_mem viennacl::device_specific::utils::handle_fun::result_type

Definition at line 315 of file utils.hpp.

## Member Function Documentation

template<class T >

result_type viennacl::device_specific::utils::handle_fun::operator() | ( | T const & | t | ) | const

inline

Definition at line 317 of file utils.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/utils.hpp